package org.tbasket.handler

import org.tbasket.api.compute.APIRequestHandler
import zio.*
import zio.http.model.Status
import zio.http.{Request, Response}

trait LoginRequiredRequestHandler extends APIRequestHandler:
  
  override final def get: Task[Response] =
    ZIO.succeed(Response(Status.MethodNotAllowed))
  
  override final def post: Task[Response] = {
    ZIO.succeed(Response(Status.MethodNotAllowed))
  }
  
  protected def authGet: Task[Response]
  
  protected def authPost: Task[Response]
